List personas
curl --request GET \
--url https://api.amplemarket.com/personas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.amplemarket.com/personas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.amplemarket.com/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.amplemarket.com/personas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.amplemarket.com/personas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.amplemarket.com/personas")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.amplemarket.com/personas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"personas": [
{
"id": "01a134d6-34bc-73d1-bfcd-ca5ca55dcd73",
"name": "Founders",
"enabled": true
},
{
"id": "01a134d6-34c1-75e0-b9f4-33bf4246fcd8",
"name": "VP Sales",
"enabled": false
}
],
"_links": {
"self": {
"href": "/personas?page[size]=20"
}
}
}{
"_errors": [
{
"code": "invalid_parameter",
"title": "Invalid Parameter",
"detail": "Invalid cursor",
"source": {
"pointer": "/page/after"
}
}
],
"object": "error"
}Personas
List personas
List personas
GET
/
personas
List personas
curl --request GET \
--url https://api.amplemarket.com/personas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.amplemarket.com/personas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.amplemarket.com/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.amplemarket.com/personas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.amplemarket.com/personas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.amplemarket.com/personas")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.amplemarket.com/personas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"personas": [
{
"id": "01a134d6-34bc-73d1-bfcd-ca5ca55dcd73",
"name": "Founders",
"enabled": true
},
{
"id": "01a134d6-34c1-75e0-b9f4-33bf4246fcd8",
"name": "VP Sales",
"enabled": false
}
],
"_links": {
"self": {
"href": "/personas?page[size]=20"
}
}
}{
"_errors": [
{
"code": "invalid_parameter",
"title": "Invalid Parameter",
"detail": "Invalid cursor",
"source": {
"pointer": "/page/after"
}
}
],
"object": "error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by persona name (case-insensitive, partial match)
Filter by whether the persona is enabled
Page size (default and max: 20)
Required range:
1 <= x <= 20Cursor for the next page (from _links.next)
Was this page helpful?